#include<stdio.h>
#define MAX 10
void zbir(float a[][MAX],int n, float* sum) 
{
 int i,j;
 float s=0;
for (i=0;i<n;i++)
  for(j= n-2-i;j>=0;j--)
    *sum+=a[i][j];
}
int main()
{
 float a[MAX][MAX],sum=0;  
 int n,i,j; 
 scanf("%d",&n); 
 if(n<=MAX && n>0) 
 {
   for (i=0;i<n;i++)
     for(j=0;j<n;j++)
       scanf("%f",&a[i][j]); 
   zbir(a,n,&sum); 
   printf("sum= %.3f\n",sum); 
  }
 else printf("-1\n");  
 return 0;
}
